geronimo-scm mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From ga...@apache.org
Subject svn commit: r591416 - in /geronimo/gbuild/daily_build_scripts: gbuild.sh testsuite.sh
Date Fri, 02 Nov 2007 18:00:04 GMT
Author: gawor
Date: Fri Nov  2 11:00:03 2007
New Revision: 591416

URL: http://svn.apache.org/viewvc?rev=591416&view=rev
Log:
improved test scipts

Modified:
    geronimo/gbuild/daily_build_scripts/gbuild.sh
    geronimo/gbuild/daily_build_scripts/testsuite.sh

Modified: geronimo/gbuild/daily_build_scripts/gbuild.sh
URL: http://svn.apache.org/viewvc/geronimo/gbuild/daily_build_scripts/gbuild.sh?rev=591416&r1=591415&r2=591416&view=diff
==============================================================================
--- geronimo/gbuild/daily_build_scripts/gbuild.sh (original)
+++ geronimo/gbuild/daily_build_scripts/gbuild.sh Fri Nov  2 11:00:03 2007
@@ -115,18 +115,9 @@
    
    if [ "$1" = "false" ]
    then
-     . /home/prasad/bin/testsuite.sh 2.1
+     . /home/prasad/bin/testsuite.sh 2.1 trunk
 
-     grep "Failed to start Geronimo server" mail.txt
-     if [ $? -eq 0 ]
-     then
-       result="failed"
-       y=`grep -B5 "Failed to start Geronimo server" mail.txt | grep "Redirecting"`
-       serverLog=`echo $y | awk -F: '{print $2}'`
-       cat $serverLog >> mail.txt
-     fi
-
-     grep -E "BUILD ERROR|FAILURE!" mail.txt
+     grep -E "BUILD ERROR|FAILURE!|Failed to start Geronimo server" $testLog
      if [ $? -eq 0 ]
      then
        result="failed"

Modified: geronimo/gbuild/daily_build_scripts/testsuite.sh
URL: http://svn.apache.org/viewvc/geronimo/gbuild/daily_build_scripts/testsuite.sh?rev=591416&r1=591415&r2=591416&view=diff
==============================================================================
--- geronimo/gbuild/daily_build_scripts/testsuite.sh (original)
+++ geronimo/gbuild/daily_build_scripts/testsuite.sh Fri Nov  2 11:00:03 2007
@@ -28,7 +28,7 @@
 export PATH=$JRE_HOME/bin:$JAVA_HOME/bin:$MVN_HOME/bin:$PATH:/usr/X11R6/bin:$FIREFOX_HOME
 export MAVEN_OPTS="-XX:MaxPermSize=128m -Xms512m -Xmx1024m"
 
-BRANCH=trunk
+BRANCH=$2
 TEST_DIR=/home/prasad/geronimo/$BRANCH
 
 LOG_DIR_NAME=logs-$ts
@@ -64,9 +64,21 @@
 echo " " >> ../mail.txt
 grep -E "Running|FAILURE!" $testLog | grep -B1 "FAILURE!" >> ../mail.txt
 echo " " >> ../mail.txt
-grep -E "BUILD ERROR|FAILURE!|Failed to start Geronimo server" $testLog
+
+# append server.log 
+grep "Failed to start Geronimo server" $testLog
+if [ $? -eq 0 ]
+then
+  y=`grep -B5 "Failed to start Geronimo server" $testLog | grep "Redirecting"`
+  serverLog=`echo $y | awk -F: '{print $2}'`
+  cat $serverLog >> mail.txt
+fi
+
+# append 100 lines before BUILD ERROR
+grep "BUILD ERROR" $testLog
 if [ $? -eq 0 ]
 then
-   tail -100 $testLog >> ../mail.txt
+   grep -B100 "BUILD ERROR" $testLog >> ../mail.txt
 fi
+
 cd ..



Mime
View raw message